 <?php 
 require_once("../header.php");
 ?>
 <div class="container-fluid">
 
 <div class="row">
      <div class="col-md-12">
 
        <a class="btn btn-md btn-warning mb-2 mt-2" href="javascript:void(0)" onClick="modalCuenta()"><i class="fa fa-plus"></i> Registrar una nueva cuenta</a>
        <a class="btn btn-md btn-default mb-2 mt-2" href="movimientos_cuenta.php"><i class="fa fa-file-medical-alt"></i> Consultas mov. cuenta</a>
		<a class="btn btn-md btn-default mb-2 mt-2" href="cheques.php"><i class="fa fa-file-invoice"></i> Cheques</a>
				<a class="btn btn-md btn-default mb-2 mt-2" href="consiliacion.php"><i class="fa fa-file-invoice"></i> Consiliacion bancos</a>
		<a class="btn btn-md btn-default mb-2 mt-2" href="../menu/menu.php"><i class="fa fa-arrow-circle-left"></i> Ir atras</a>
<hr>
		<script type="text/javascript">
          function modalCuenta(){
            $("#modalCuenta").modal('show');
    
                
             $("#frm").trigger('reset'); 
                setTimeout(function(){
                $("#numero_cuenta").focus();
                $("#numero_cuenta").select();
                $("#fondo").prop("disabled",false);

            },500)
            
        }
        </script>
        <?php

      include_once("../php/config.php");
      $sql = mysql_query("select * from cuentas") or die(mysql_error());
?>
 <div class="table-responsive border p-3">
      <table class="table table-hover table-striped table-sm table-bordered" data-page-length='8' style="width: 100%">

          <thead>
            <th>Id</th>
            <th>N Cuenta</th>
            <th>Descripcion</th>
           
            <th>Total ingreso</th>
            <th>Total egreso</th>
            <th>Balance</th>
			<th>Editar</th>
          </thead>
          <tbody>
          <?php while($r=mysql_fetch_array($sql)){
            $id = $r["id_cuenta"];
            $c++;
            
            ?>
            <tr>
              <td>
			  <input type="checkbox" name="ch" id="ch">
			   <?php echo $r["id_cuenta"]?></td>
              <td><span class="text-primary"><?php echo ($r["numero_cuenta"])?></span></td>
              <td><?php echo $r["descripcion"]?></td>
               <td><?php echo decimal($r["total_ingreso"])?></td>
              <td><?php echo $r["total_egreso"]?></td>
			  <td><?php echo $r["balance"]?></td>
			  <td><a href='javascript:void(0)' onClick="ver(<?php echo $r["id_cuenta"]?>)"><i class="fa fa-edit"></i></a></td>
              
            </tr>
                                                      <?php }?>
          </tbody>
          <tfoot>
            <br>

            <th>
              Cant. registros: <?php echo $c?>
            </th>
           
          </tfoot>
        </table>
      </div>
      </div>
    </div>
    
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalCuenta" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
             
            <h5 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-usd"></i> Registro de cuentas</h5>
           
            
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
             
                    
		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id_cuenta" value="" disabled>
  				</div>
			  </div>
        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" ># cuenta</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="numero_cuenta" value="">
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Descripcion</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="descripcion" name="descripcion" value="">
          </div>
        </div>
			  
       
        
         <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Total ingresos</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number" disabled  class="form-control mb-2" id="total_ingreso" name="total_igreso" value="">
          </div>
        </div>   
       <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Total egreso</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number" disabled  class="form-control mb-2" id="total_egreso" name="total_egreso" value="">
          </div>
        </div> 
                      
                      
     <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Balance</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="balance" name="balance" value="">
          </div>
        </div>
         <br>
      


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_cuenta()"><i class="fa fa-w fa-save"></i> Grabar</button>
			<a class="btn btn-md btn-default mb-2" href="consiliacion.php"><i class="fa fa-file-invoice"></i> Consiliacion bancos</a>

                  <button class="btn btn-warning" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        ﻿
    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fa fa-angle-up"></i>
    </a>
    <!-- Logout Modal-->
    <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="login.html">Logout</a>
          </div>
        </div>
      </div>
    </div>
 <?php 
 require_once("../footer.php");
 ?>	
	            
<script>

$("#delete").hide();
id_cuenta="";


function ver(id){
	  $("#modalCuenta").modal("show");
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#descripcion").focus();
        $("#descripcion").select();
		$("#delete").show();
       
    },1000);

            var sql="select * from cuentas where id_cuenta='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_cuenta= rs.data[i].id_cuenta; 
                    $("#id_cuenta").val(rs.data[i].id_cuenta);
                    $("#numero_cuenta").val(rs.data[i].numero_cuenta);
                    $("#descripcion").val(rs.data[i].descripcion);
                    $("#total_ingreso").val(rs.data[i].total_ingreso);
                    $("#total_egreso").val(rs.data[i].total_egreso);
                    $("#balance").val(rs.data[i].balance);
                   
                    $("#total_ingreso").prop("disabled",true);
                    $("#total_egreso").prop("disabled",true);
                    $("#balance").prop("disabled",true);
                    

                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_cuenta(){
     if(!confirm("Seguro(a) que desea registrar este cuenta?")){return;}                   
    
     var balance = $("#balance").val();
     var numero_cuenta = $("#numero_cuenta").val();
     var descripcion = $("#descripcion").val();
     id_cuenta = $("#id_cuenta").val()
     
     



     if(numero_cuenta==""){alert('Faltan datos'); return}
      if(descripcion==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_cuenta==""){
            sql="INSERT INTO cuentas set ";
            sql+="numero_cuenta='"+numero_cuenta+"'";
            sql+=", descripcion='"+descripcion+"'";
            sql+=", balance='"+balance+"'";
            
           

        }else{
            sql="UPDATE cuentas set";
           sql+=" numero_cuenta='"+numero_cuenta+"'";
            sql+=", descripcion='"+descripcion+"'";
            sql+=", balance='"+balance+"'";
            
            sql+=" WHERE id_cuenta='"+id_cuenta+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalCuenta").modal('hide');
        noti("success","Registro grabado con exito","Registro grabado");
       
        dstry();
        id_cuenta="";
        setTimeout(function(){
            window.location.reload();
        },2000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_cuenta==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from cuentas where id_cuenta='"+id_cuenta+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalCuenta").modal('hide');
        alert("Registro eliminado con exito");
        
        dstry();
        id_caja="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}


 
 
 function get_cuenta(cuenta){
            var sql="select * from cuentas where numero_cuenta='"+cuenta+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    numero_cuenta= rs.data[i].numero_cuenta;
                   
                }
                $("#loading").modal('hide');
            })
        }

 
 
 $(".table").DataTable();
         
        </script>